# ../addons/eventscripts/gungame/scripts/custom/gg_winner_display/gg_winner_display_config.py

# ============================================================================
# >> IMPORTS
# ============================================================================
# EventScripts Imports
import es
import cfglib

# GunGame Imports
from gungame51.core.cfg import generate_header

# ============================================================================
# >> GLOBAL VARIABLES
# ============================================================================
config = cfglib.AddonCFG('%s/cfg/' % es.ServerVar('eventscripts_gamedir') +
    'gungame51/custom_addon_configs/gg_winner_display.cfg')
        
# ============================================================================
# >> LOAD & UNLOAD
# ============================================================================
def load():
    generate_header(config)

    # Winner Display
    config.text('')
    config.text('='*76)
    config.text('>> WINNER DISPLAY')
    config.text('='*76)
    config.text('Description:')
    config.text('   Displays an MOTD page when a player wins containing' +
                'interesting')
    config.text('   information.')
    config.text('Options:')
    config.text('   0 = (Disabled)')
    config.text('   1 = (Enabled)')
    config.text('Default Value: 1')
    config.cvar('gg_winner_display', 1, 'Enables/Disables ' +
                'gg_winner_display.').addFlag('notify')
    config.text('')

    # Winner Display Page
    config.text('')
    config.text('='*76)
    config.text('>> CUSTOM WEB PAGE')
    config.text('='*76)
    config.text('Note:')
    config.text('   Leave this as default unless you want to have a ' +
                'customised winner page')
    config.text('   (hosted on your own web server).')
    config.text('Description:')
    config.text('   If you want to host the file on your web server, the file ' +
                'is here:')
    config.text('   http://forums.gungame5.com/viewtopic.php?f=74&t=1122')
    config.text('Default Value: http://gungame.net/gg5_win.php')
    config.cvar('gg_winner_display_page', 'http://gungame5.com/gg5_win.php',
                'Winner display page.')

    config.write()
    es.dbgmsg(0, '\tgg_winner_display.cfg')

def unload():
    global config

    # Remove the "notify" flags as set by addFlag('notify')
    for cvar in config.getCvars().keys():
        es.flags('remove', 'notify', cvar)
    
    # Delete the cfglib.AddonCFG instance
    del config